Resolve
curl --request GET \
--url https://data-api.b3.fun/insights/v1/resolve/{input}import requests
url = "https://data-api.b3.fun/insights/v1/resolve/{input}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/resolve/{input}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"chain_ids": [
123
],
"page": 123,
"limit_per_chain": 123,
"total_items": 123,
"total_pages": 123,
"address": "<string>",
"signature": "<string>"
},
"data": {
"type": "block",
"blocks": [
{
"chain_id": 123,
"block_number": 123,
"block_hash": "<string>",
"parent_hash": "<string>",
"block_timestamp": 123,
"nonce": "<string>",
"sha3_uncles": "<string>",
"mix_hash": "<string>",
"miner": "<string>",
"state_root": "<string>",
"transactions_root": "<string>",
"receipts_root": "<string>",
"logs_bloom": "<string>",
"size": 123,
"extra_data": "<string>",
"difficulty": "<string>",
"total_difficulty": "<string>",
"transaction_count": 123,
"gas_limit": 123,
"gas_used": 123,
"withdrawals_root": "<string>",
"base_fee_per_gas": 123
}
],
"transactions": [
{
"chain_id": "<string>",
"block_number": 123,
"block_hash": "<string>",
"block_timestamp": 123,
"hash": "<string>",
"nonce": 123,
"transaction_index": 123,
"from_address": "<string>",
"to_address": "<string>",
"value": "<string>",
"gas_price": "<string>",
"gas": 123,
"function_selector": "<string>",
"data": "<string>",
"max_fee_per_gas": "<string>",
"max_priority_fee_per_gas": "<string>",
"transaction_type": 123,
"r": "<string>",
"s": "<string>",
"v": "<string>",
"access_list_json": "<string>",
"authorization_list_json": "<string>",
"contract_address": "<string>",
"gas_used": 123,
"cumulative_gas_used": 123,
"effective_gas_price": "<string>",
"blob_gas_used": 123,
"blob_gas_price": "<string>",
"logs_bloom": "<string>",
"status": 123
}
],
"events": [
{
"chain_id": "<string>",
"block_number": 123,
"block_hash": "<string>",
"block_timestamp": 123,
"transaction_hash": "<string>",
"transaction_index": 123,
"log_index": 123,
"address": "<string>",
"data": "<string>",
"topics": [
"<string>"
]
}
],
"address": "vitalik.eth"
},
"aggregations": null
}{
"error": "<string>"
}{
"error": "<string>"
}insights/resolve
Resolve
Resolve
GET
/
insights
/
v1
/
resolve
/
{input}
Resolve
Path Parameters
input
hash · stringfunction selector · stringblock number string · stringaddress (hex or ENS) · string
required
Can be a block number, transaction or block hash, address, event signature or function selector
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984"
Query Parameters
Use chain_id instead
Example:
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
Example:
[20, 56, 1]
HypeDuel